# Method Stdio.Fd()->stat()

Method stat

  ``Stat` stat()`

Description

  Get status for an open file.

  This function returns the same information as the function file_stat(), but for the file it is called in. If file is not an open file, `0` (zero) is returned. Zero is also returned if file is a pipe or socket.

Returns

  See file_stat() for a description of the return value.

Note

  Prior to Pike 7.1 this function returned an array(int).

See also

  file_stat(), statat()